Uploaded image for project: 'Hadoop YARN'
  1. Hadoop YARN
  2. YARN-10265

Upgrade Netty-all dependency to latest version 4.1.50 to fix ARM support issue

VotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 3.3.0, 3.4.0
    • 3.3.0, 3.4.0
    • buid
    • None
    • Reviewed

    Description

      In the issue: https://issues.apache.org/jira/browse/YARN-9898 we have added a workaround using an non-official released netty-4.1.48 to fix the ARM support issue. but just a few hours agon, Netty has release the 4.1.50 version which is officially support ARM platform, please see: https://github.com/netty/netty/pull/9804

       

      netty-4.1.50.Final release: https://github.com/netty/netty/releases/tag/netty-4.1.50.Final

      commits from netty-4.1.48 to netty-4.1.50: https://github.com/netty/netty/compare/netty-4.1.48.Final...netty-4.1.50.Final

      So, now it is better to upgrade the netty-dependency version of Hadoop to 4.1.50 version.

      Attachments

        1. YARN-10265.001.patch
          3 kB
          liusheng

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            seanlau liusheng
            seanlau liusheng
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment